> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser attribute values

> Get calculated attribute values for a given end user



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_heron_id}/company_attributes
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_heron_id}/company_attributes:
    get:
      tags:
        - EndUserAttributes
      summary: Get EndUser attribute values
      description: Get calculated attribute values for a given end user
      parameters:
        - in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CompanyAttributeValueSchema'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CompanyAttributeValueSchema:
      properties:
        attribute:
          $ref: '#/components/schemas/CompanyAttribute'
        availability:
          enum:
            - available
            - partially_available
            - not_available
        value: {}
      type: object
    CompanyAttribute:
      properties:
        label:
          type: string
        type:
          enum:
            - float
            - int
            - decimal
            - string
            - date
            - datetime
            - bool
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````